%global _empty_manifest_terminate_build 0
Name:           python-pyspnego
Version:        0.9.1
Release:        1
Summary:        Windows Negotiate Authentication Client and Server
License:        MIT
URL:            https://github.com/jborean93/pyspnego
Source0:        https://files.pythonhosted.org/packages/fb/38/46174701e2a2de8b72e79c980324b034203edafff3c543a4134b2c1ae9af/pyspnego-0.9.1.tar.gz

BuildArch:	noarch
%description
Python SPNEGO Library to handle SPNEGO (Negotiate, NTLM, Kerberos) and CredSSP authentication. Also includes a packet parser that can be used to decode raw NTLM/SPNEGO/Kerberos tokens into a human readable format.

%package -n python3-pyspnego
Summary:        Windows Negotiate Authentication Client and Server
Provides:       python-pyspnego
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-setuptools_scm
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
BuildRequires:  python3-hatchling
# General requires
BuildRequires:  python3-cryptography
BuildRequires:  python3-gssapi
BuildRequires:  python3-ruamel-yaml
BuildRequires:  python3-pytest
BuildRequires:  python3-pytest-mock
# General requires
Requires:       python3-cryptography
Requires:       python3-gssapi
Requires:       python3-ruamel-yaml
%description -n python3-pyspnego
Library to handle SPNEGO (Negotiate, NTLM, Kerberos) and CredSSP authentication. Also includes a packet parser that can be used to decode raw NTLM/SPNEGO/Kerberos tokens into a human readable format.

%package help
Summary:        Windows Negotiate Authentication Client and Server
Provides:       python3-pyspnego-doc
%description help
Library to handle SPNEGO (Negotiate, NTLM, Kerberos) and CredSSP authentication. Also includes a packet parser that can be used to decode raw NTLM/SPNEGO/Kerberos tokens into a human readable format.

%prep
%autosetup -n pyspnego-%{version} -p1

%build
%pyproject_build

%install
%pyproject_install

install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi

%check
PYTHONPATH=src/ pytest-3 -v tests

%files -n python3-pyspnego
%doc README.md
%license LICENSE
%{_bindir}/pyspnego-parse
%{python3_sitelib}/spnego
%{python3_sitelib}/pyspnego*.dist-info/

%files help
%{_docdir}/*

%changelog
* Mon Jul 17 2023 Dongxing Wang <dxwangk@isoftstone.com> - 0.9.1-1
- Update package to version 0.9.1

* Wed Feb 15 2023 huangduirong <huangduirong@kylinos.cn> - 0.7.0-2
- solve python3dist is unknow

* Tue Feb 14 2023 wubijie <wubijie@kylinos.cn> - 0.7.0-1
- Update package to version 0.7.0

* Mon Dec 12 2022 wubijie <wubijie@kylinos.cn> - 0.6.3-1
- Update package to version 0.6.3

* Wed Jul 13 2022 OpenStack_SIG <openstack@openeuler.org> - 0.5.0-1
- Init package python3-pyspnego of version 0.5.0

